--
-- Filename: joinClientRequestSynch.lua
-- Author: Martin Fabík (LoogleCZ)
--
-- This event is part of NotesMod.
--

joinClientRequestSynch = {};
joinClientRequestSynch_mt = Class(joinClientRequestSynch, Event);

InitEventClass(joinClientRequestSynch, "joinClientRequestSynch");

function joinClientRequestSynch:emptyNew()
    local self = Event:new(joinClientRequestSynch_mt);
    return self;
end;

function joinClientRequestSynch:new()
    local self = joinClientRequestSynch:emptyNew();
    return self;
end;

function joinClientRequestSynch:readStream(streamId, connection)
	self:run(connection);
end;

function joinClientRequestSynch:writeStream(streamId, connection)
end;

function joinClientRequestSynch:run(connection)
	connection:sendEvent(joinServerRequestSynch:new());
end;